Loading...
Searching...
No Matches
Opm::GuideRate Class Reference

## Classes

struct | RateVector
struct | GuideRateValue

## Public Member Functions

| GuideRate (const Schedule &schedule)
void | setSerializationTestData ()
void | compute (const std::string &wgname, const std::size_t report_step, const double sim_time, const double oil_pot, const double gas_pot, const double wat_pot)
void | compute (const std::string &wgname, const Phase &phase, const std::size_t report_step, const std::optional< double > guide_rate)
bool | has (const std::string &name) const
bool | hasPotentials (const std::string &name) const
bool | has (const std::string &name, const Phase &phase) const
double | get (const std::string &well, const WellGuideRateTarget target, const RateVector &rates) const
double | get (const std::string &group, const Group::GuideRateProdTarget target, const RateVector &rates) const
double | get (const std::string &name, const GuideRateModel::Target model_target, const RateVector &rates) const
double | get (const std::string &group, const Phase &phase) const
double | getSI (const std::string &well, const WellGuideRateTarget target, const RateVector &rates) const
double | getSI (const std::string &group, const Group::GuideRateProdTarget target, const RateVector &rates) const
double | getSI (const std::string &wgname, const GuideRateModel::Target target, const RateVector &rates) const
double | getSI (const std::string &group, const Phase &phase) const
void | init_grvalue (const std::size_t report_step, const std::string &wgname, GuideRateValue value)
void | init_grvalue_SI (const std::size_t report_step, const std::string &wgname, GuideRateValue value)
void | updateGuideRateExpiration (const double sim_time, const std::size_t report_step)
template<class Serializer>
void | serializeOp (Serializer &serializer)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Group/GuideRate.hpp
- opm/input/eclipse/Schedule/Group/GuideRate.cpp